ObjCont Class Reference

Public class that represents a generic object container. More...

`#include <DictObjCont.h>`

Inheritance diagram for ObjCont:
Collaboration diagram for ObjCont:

## Public Member Functions

| ObjCont (Serializer &ser, DicFile &dicFile, const string &blockName, const string &id, const ObjContInfo &objContInfo)
virtual | ~ObjCont ()
void | Init ()
const string & | GetName () const
virtual void | Read (UInt32 which, unsigned int Index=0)
virtual UInt32 | Write ()
const vector< string > & | GetAttribute (const string &catName, const string &itemName) const
void | Print () const
void | SetVerbose (bool verbose)
virtual void | Build ()

## Protected Member Functions

virtual void | BuildItems (vector< vector< string > > &combo, const unsigned int configIndex)
void | BuildItems (vector< vector< string > > &combo, const unsigned int configIndex, const string &value)

## Protected Attributes

Serializer & | _ser
DicFile & | _dicFile
const ObjContInfo & | _objContInfo
string | _blockName
string | _id
bool | _verbose
vector< UInt32 > | _index
vector< vector< vector< string > > > | _itemsStore

## Detailed Description

Public class that represents a generic object container.

This class represents a generic object container of attributes. It is to be used directly or as a base class for non-generic object containers. This class provides methods for retrieving its attributes and printing its content.

## Constructor & Destructor Documentation

## ObjCont()

ObjCont::ObjCont | ( | Serializer & | ser,
|  | DicFile & | dicFile,
|  | const string & | blockName,
|  | const string & | id,
|  | const ObjContInfo & | objContInfo
| ) |  |

Utility method, not part of users public API, and will soon be removed.

## ~ObjCont()

virtual ObjCont::~ObjCont | ( |  | ) |

virtual

Utility method, not part of users public API, and will soon be removed.

## Member Function Documentation

## Build()

virtual void ObjCont::Build | ( |  | ) |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented in DictObjCont, and ItemObjCont.

## BuildItems() [1/2]

virtual void ObjCont::BuildItems | ( | vector< vector< string > > & | combo,
|  | const unsigned int | configIndex
| ) |  |

protected virtual

## BuildItems() [2/2]

void ObjCont::BuildItems | ( | vector< vector< string > > & | combo,
|  | const unsigned int | configIndex,
|  | const string & | value
| ) |  |

protected

## GetAttribute()

const vector<string>& ObjCont::GetAttribute | ( | const string & | catName,
|  | const string & | itemName
| ) |  | const

Retrieves a constant reference to the vector of values of the object container attribute, which is specified with a category name and an item name.

Parameters

  [in] | catName | - category name
  [in] | itemName | - item name

Returns
  Constant reference to the vector of attribute values.

Precondition
  Category with name catName and item with name itemName must be present

Postcondition
  None

Exceptions

  NotFoundException | - if category with name catName or item with name itemName does not exist

## GetName()

const string& ObjCont::GetName | ( |  | ) | const

Must stay in public API.

## Init()

void ObjCont::Init | ( |  | ) |

Utility method, not part of users public API, and will soon be removed.

## Print()

void ObjCont::Print | ( |  | ) | const

Prints the content of the object container.

Parameters

## Read()

virtual void ObjCont::Read | ( | UInt32 | which,
|  | unsigned int | Index = `0`
| ) |  |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented in DictObjCont.

## SetVerbose()

void ObjCont::SetVerbose | ( | bool | verbose | ) |

Utility method, not part of users public API, and will soon be removed.

## Write()

virtual UInt32 ObjCont::Write | ( |  | ) |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented in DictObjCont.

## Member Data Documentation

## _blockName

string ObjCont::_blockName

protected

## _dicFile

DicFile& ObjCont::_dicFile

protected

## _id

string ObjCont::_id

protected

## _index

vector<UInt32> ObjCont::_index

protected

## _itemsStore

vector<vector<vector<string> > > ObjCont::_itemsStore

protected

## _objContInfo

const ObjContInfo& ObjCont::_objContInfo

protected

## _ser

Serializer& ObjCont::_ser

protected

## _verbose

bool ObjCont::_verbose

protected

The documentation for this class was generated from the following file:

- rcsb/DictObjCont.h